Bug 245368 - cad/fidocadj : unbreak and update documentation
Summary: cad/fidocadj : unbreak and update documentation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-05 09:51 UTC by Rene Ladan
Modified: 2020-04-20 11:01 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments
ubreak, update documentation (2.60 KB, patch)
2020-04-05 09:51 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2020-04-05 09:51:46 UTC
Created attachment 213086 [details]
ubreak, update documentation

- unbreak and un-expire cad/fidocadj by switching it to GitHub. Note that using USE_GITHUB is impossible, because that assumes a hardcoded .tar.gz extension and
this port downloads a .jar file instead.
- update the accompanying PDF to version 0.24.6 too.
- use DIST_SUBDIR

Version 0.24.7 is out, but only for the .jar file, not for the PDF. That is for another PR.
Comment 1 commit-hook freebsd_committer 2020-04-19 10:54:00 UTC
A commit references this bug:

Author: rene
Date: Sun Apr 19 10:53:04 UTC 2020
New revision: 532101
URL: https://svnweb.freebsd.org/changeset/ports/532101

Log:
  cad/fidocadj: unbreak and unexpire by switching to GitHub.

  - update the accompanying PDF to version 0.24.6 too
  - use DIST_SUBDIR
  - clean up Makefile

  PR:		245368
  Submitted by:	rene
  Approved by:	maintainer timeout (nivit, 14 days)
  MFH:		2020Q2

Changes:
  head/cad/fidocadj/Makefile
  head/cad/fidocadj/distinfo
  head/cad/fidocadj/pkg-plist
Comment 2 commit-hook freebsd_committer 2020-04-19 17:26:41 UTC
A commit references this bug:

Author: rene
Date: Sun Apr 19 17:26:11 UTC 2020
New revision: 532137
URL: https://svnweb.freebsd.org/changeset/ports/532137

Log:
  MFH: r532101

  cad/fidocadj: unbreak and unexpire by switching to GitHub.

  - update the accompanying PDF to version 0.24.6 too
  - use DIST_SUBDIR
  - clean up Makefile

  PR:		245368
  Submitted by:	rene
  Approved by:	maintainer timeout (nivit, 14 days)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/cad/fidocadj/Makefile
  branches/2020Q2/cad/fidocadj/distinfo
  branches/2020Q2/cad/fidocadj/pkg-plist